"Mathematics is the language of the universe."
--Nicholas Copernicus

I fell in love with word-smithing in the eleventh grade after reading Shakespeare's Sonnets because Iambic pentameter is the edge effect where the languages of Mathetmatics and English meet and I thought this was the coolest thing in the world. This inspired me to write my own Sonnets. I even gave one to my hopeless crush. She wasn't as impressed, but in retrospect, poetry was my first love.

I had some flings with fiction, a few blogs, and in 2014 fell in love with a younger, sexier form of mathematical poetry--Bitcoin: A Peer-To-Peer Electronic Cash System. She taught me what Copernicus observed so long ago. Mathematics is the language of the universe. I did not understand most of the math in the white paper when I first read it. I had no idea what a "digital signature" was. I never had the word hash without the words corned beef in front of it, but I thought fractional reserve banking and bailouts helped the rich get richer and the poor get poorer. My limited background knowledge from messing around with Napster and BitTorrent clued me in incentivized incentivizedto the fact that Bitcoin was a full reserve banking system in cyberspace. O also got lucky because I'm old enoughinto to remember what a newspaper was.

"To implement  a distributed timestamp server on a Peer-To-Peer basis we will need to use a proof-of-work system similar to Adam Back's Hashcash, rather than newspaper or Usenet posts."
--Satoshi Nakamoto, Bitcoin: A Peer To Peer Electronic Cash System

![January 3rd, 2009: Chancellor On The Brink Of Second  Bailout For Banks](https://i.nostr.build/HIdjGlYjv8OeqcSd.png)



Proof Of Poetry

Adam Back discovered hashcash. Satoshi cited this in the White paper, as noted above. Despite it's name, hashcash was not a "cryptocurrency." It would be more accurate to describe it as a digital stamp. Stamps have a cost, of course, and so does hashcash. We can't hand a piece of paper with a portrait of some dude wearing a wig, of course. We must pay for electronic stamps with the only resource computers can use, energy. This makes energy, or electricity rather, currency for computers. Therefore, you must pay for the hashcash stamp with electricity. As everyone who has been shocked by their electricity bill in the summer knows, electricity has a real cost. The beauty of hash cash is you wouldn't notice a difference on your electric bill if you sent a dozen emails a month. If you spammed the whole Word Wide Web with a chain-letter, chances are you'll cuss out your electric bill. Hashcash is a stamp you pay for with computational power, which requires your computer to get paid with electricity.

Proof Of Work is a little different on hashcash than bitcoin because it uses SHA1 and bitcoin uses SHA256, but check line from hashcash.org out:

`echo -n 0:030626:adam@cypherspace.org:6470e06d773e05a8 | sha1
00000000c70db7389f241b8f441fcf068aead3f0

`

See those C00l-looking zeros in the front? Satoshi called them “zero bits.” Whenever someone sends a bitcoin transaction, it goes to the mempool. This is like Purgatory for bitcoin transactions. A bitcoin doesn't get it's wings right away like when a bell rings on It's A Wonderful Life. It needs to be confirmed like a Catholic. If it's not confirmed, it does not reach heaven. You know how computers use electricity, but not paper money? Transactions don't have an actual afterlife in the clouds either, These transactions are trying to get into the precious, scarce blockspace of the bitcoin time chain. Miners include different transactions in a block template and add a nonce, number used only once again and…I'm gonna stop myself here before readers start yawning. It's just math. If you're interested in seeing this math in action play around with this website. You can type whatever you want. The math works on all ASCII characters because each letter or symbol represents a number.

If we hash the code from hashcash.org above using the SHA1 calculator it gives us this result.

![hashcash example](https://i.nostr.build/A5nEsVXh4hsaeKmz.png)



If we add a question mark to this text, we get this result.

![the same thing with ?](https://i.nostr.build/QlWTMFzRPH32nthY.png)

We see a totally different 64 character combination. This is how data is verified in Cyberseurity, and bitcoin is no different which should not suprise anyone since SHA256 is also used in Cybersecurity. To change the math requires changing every single one of these transactions since January 3rd, 2009. How bad would your electric bill need to be to accomplish this? I don't know, but It's not likely to happen since honesest miners are rewarded with fees, These fees are like tribute transactions must pay to get out of purgatory, Some transactions pay more, some try to pay less. The miners are incintivized to let the more expensive transactions to go through the pearly white gates of the bitcoin time chain.

Adam Back's email is not a transaction, but those leading zero bits are the backbone of the bitcoin time chain. If you hash my full legal name with SHA1, we get this result `02c53da577460a2e8eead6e85da88199c64eb1bd`. If we hash it with SHA256, I see two zero bits. `0024f0a28bf81851ed8490c4e87173f8790bd9d8ea9423442114d25ad7137f51` Pretty cool, right? It's as if I was destined to fall in love with this math.

It only has one leading zero bit. Of I add another character

Despite what some people say, bitcoin is not really a religion. This is just an analogy. Proof of work is actually math using hexadecimal. This math reminds me of sonnets. 64 character hexadecimals are like 14 lines of a sonnet. Zero bits have a pattern abab rhymes. The [difficulty adjustment](https://en.bitcoin.it/wiki/Difficulty) is like Iarhymembic Pentameter and the block header is like the last two indented lines of a Sonnet. Bitcoin is poetry in the language of mathematics.



https://mempool.marcleon.work/block/0000000000000000000173e894282485050b6113e984bafb9a1931dd62e38553